Get market APY history
Historical supply and borrow APYs for a Morpho Blue market. The APY averaging window is derived automatically from lookback: one_day and seven_days use one_day; thirty_days uses seven_days; ninety_days, one_year, and inception use thirty_days. six_hours selects a six-hour result range with hourly samples and a trailing six-hour APY averaging window; the range starts at the later of creation or six hours ago, with samples starting at the next top of hour. Points that do not have enough historical data for the derived window are omitted.
Path Parameters
Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.
<chain_id>:<market_id>Query Parameters
Lookback period. Defaults to thirty_days. Historical sampling is selected automatically. The APY averaging window is derived automatically from lookback: one_day and seven_days use one_day; thirty_days uses seven_days; ninety_days, one_year, and inception use thirty_days. six_hours selects a six-hour result range with hourly samples and a trailing six-hour APY averaging window; the range starts at the later of creation or six hours ago, with samples starting at the next top of hour. Points that do not have enough historical data for the derived window are omitted.
Value in
- "one_day"
- "seven_days"
- "thirty_days"
- "ninety_days"
- "one_year"
- "inception"
- "six_hours"
Response Body
application/json
curl -X GET "https://example.com/v0/blue/markets/1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342/apy/history"{ "data": [ { "borrow_apy": 0.0612, "supply_apy": 0.0421, "timestamp": 1729900800 }, { "borrow_apy": 0.0608, "supply_apy": 0.0418, "timestamp": 1729987200 } ], "last_indexed_block": "19847234", "params": { "chain_id": "1", "market_id": "0xb323495f7e4148be5643a4ea4a8221eef163e4bccfded827a6f46947d7ad9afb" }}